Free Software Foundation!

Join now

Difference between revisions of "Pelican"

From Free Software Directory
Jump to: navigation,
(Created page with "{{Entry |Name=Pelican |Short description=static blog generator |Full description=A tool generating blogs that can be hosted as static files on any server. Input in reStructure...")
 
(Added IRC channel info and microblog info)
 
Line 7: Line 7:
 
|Computer languages=Python
 
|Computer languages=Python
 
|Documentation note=Manual available at http://docs.getpelican.com/en/latest/ and in the VCS checkout.
 
|Documentation note=Manual available at http://docs.getpelican.com/en/latest/ and in the VCS checkout.
 +
|Microblog=http://m.twitter.com/getpelican
 +
|IRC general=irc://irc.freenode.net/pelican
 
|Version identifier=3.3
 
|Version identifier=3.3
 
|Version date=2013/09/24
 
|Version date=2013/09/24
Line 22: Line 24:
 
|License verified by=mtjm
 
|License verified by=mtjm
 
|License verified date=2013/10/09
 
|License verified date=2013/10/09
 +
}}
 +
{{Resource
 +
|Resource kind=Homepage
 
}}
 
}}
 
{{Software category
 
{{Software category

Latest revision as of 14:53, 3 January 2014

[edit]

Pelican

http://getpelican.com/
A tool generating blogs that can be hosted as static files on any server. Input in reStructuredText and Markdown is supported. The program is implemented in Python and supports templates using Jinja2.

Documentation

Manual available at http://docs.getpelican.com/en/latest/ and in the VCS checkout.

"IRC irc://irc.freenode.net/pelican " IRC general channel
irc://irc.freenode.net/pelican


Download

Download version 3.3 (stable)
released on 24 September 2013

Microblog

Identica.png http://m.twitter.com/getpelican

VCS Checkout

Categories




Licensing

LicenseVerified byVerified onNotes
AGPLv3mtjm9 October 2013



Leaders and contributors

Resources and communication

Audience Resource type URI
Homepage


Software prerequisites

Kind Description
Required to use unidecode
Required to use jinja2 >= 2.7
Required to use six
Required to use pygments
Required to use docutils
Required to use pytz >= 0a
Required to use Python 2.7 or 3.3
Required to use blinker
Required to use feedgenerator >= 1.6

This entry (in part or in whole) was last reviewed on 9 October 2013.



Entry






































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.


Personal tools
Namespaces

Variants
Actions
Navigation
Contribute